---
title: Document.fullscreenEnabled
slug: Web/API/Document/fullscreenEnabled
tags:
  - API
  - Document
  - Full-screen
  - Fullscreen API
  - Property
  - Read-only
  - Reference
  - fullscreen
  - fullscreenEnabled
  - screen
---
<div>{{APIRef("Fullscreen API")}}</div>

<p><span class="seoSummary">The read-only <code><strong>fullscreenEnabled</strong></code> property on the {{domxref("Document")}} interface indicates whether or not full-screen mode is available.</span> Full-screen mode is available only for a page that has no windowed plug-ins in any of its documents, and if all {{HTMLElement("iframe")}} elements which contain the document have their {{HTMLAttrXRef("allowfullscreen", "iframe")}} attribute set.</p>

<p>Although this property is read-only, it will not throw if it is modified (even in strict mode); the setter is a no-operation and it will be ignored.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>isFullscreenAvailable</var> = <var>document</var>.fullscreenEnabled;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}} value which is <code>true</code> if the document and the elements within can be placed into full-screen mode by calling {{domxref("Element.requestFullscreen()")}}. If full-screen mode isn't available, this value is <code>false</code>.</p>

<h2 id="Example">Example</h2>

<p>In this example, before attempting to request full-screen mode for a {{htmlElement("video")}} element, the value of <code>fullscreenEnabled</code> is checked, in order to avoid making the attempt when not available.</p>

<pre class="brush: js">function requestFullScreen() {
  if (document.fullscreenEnabled) {
    videoElement.requestFullScreen();
  } else {
    console.log('Your browser cannot use fullscreen right now');
  }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Fullscreen", "#dom-document-fullscreenenabled", "Document.fullscreenEnabled")}}</td>
   <td>{{Spec2("Fullscreen")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.fullscreenEnabled")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API">Fullscreen API </a></li>
 <li><a href="/en-US/docs/Web/API/Fullscreen_API/Guide">Guide to the Fullscreen API</a></li>
 <li>{{domxref("Element.requestFullscreen()")}}</li>
 <li>{{domxref("Document.exitFullscreen()")}}</li>
 <li>{{domxref("Document.fullscreenElement")}}</li>
 <li>{{cssxref(":fullscreen") }} and {{cssxref("::backdrop")}}</li>
 <li>The {{HTMLElement("iframe")}} {{HTMLAttrXRef("allowfullscreen", "iframe")}} attribute</li>
</ul>
